(ns rlm.pings)
(rlm.ns-rlm/ns-clone rlm.light-base)
(import 'java.net.URL)
(use 'clojure.contrib.shell-out)

(def targets
     [(URL. "http://www.csail.mit.edu")
      (URL. "http://www.berkeley.edu")
      (URL. "http://www.usyd.edu.au")
      (URL. "http://www.kyoto-u.ac.jp")])

(defn ping [num-packets packet-size #^URL address]
  (take-last
   3 ;; just the summary information from ping
   (re-split
    #"\n"
    (sh "ping"
	"-c" (str num-packets)
	"-s" (str packet-size)
	(.getHost address)))))

(defn display-pings [results]
  (dorun (map #(dorun (map println %)) (interpose "\n" results))))



